Loading...
Searching...
No Matches
hwcontext_vulkan.h File Reference

API-specific header for AV_HWDEVICE_TYPE_VULKAN. More...

`#include <vulkan/vulkan.h>`
`#include "pixfmt.h"`
`#include "frame.h"`
`#include "hwcontext.h"`

Go to the source code of this file.

## Data Structures

struct | AVVulkanDeviceQueueFamily
struct | AVVulkanDeviceContext
| Main Vulkan context, allocated as AVHWDeviceContext.hwctx. More...
struct | AVVulkanFramesContext
| Allocated as AVHWFramesContext.hwctx, used to set pool-specific options. More...
struct | AVVkFrame

## Enumerations

enum | AVVkFrameFlags { AV_VK_FRAME_FLAG_NONE = (1ULL << 0) , AV_VK_FRAME_FLAG_DISABLE_MULTIPLANE = (1ULL << 2) }
| Defines the behaviour of frame allocation. More...

## Functions

AVVkFrame * | av_vk_frame_alloc (void)
| Allocates a single AVVkFrame and initializes everything as 0.
const VkFormat * | av_vkfmt_from_pixfmt (enum AVPixelFormat p)
| Returns the optimal per-plane Vulkan format for a given sw_format, one for each plane.

## Detailed Description

API-specific header for AV_HWDEVICE_TYPE_VULKAN.

For user-allocated pools, AVHWFramesContext.pool must return AVBufferRefs with the data pointer set to an AVVkFrame.

Definition in file hwcontext_vulkan.h.

## Enumeration Type Documentation

## AVVkFrameFlags

enum AVVkFrameFlags

Defines the behaviour of frame allocation.

Enumerator
AV_VK_FRAME_FLAG_NONE |
AV_VK_FRAME_FLAG_DISABLE_MULTIPLANE |

Definition at line 195 of file hwcontext_vulkan.h.

## Function Documentation

## av_vk_frame_alloc()

AVVkFrame * av_vk_frame_alloc | ( | void |  | ) |

Allocates a single AVVkFrame and initializes everything as 0.

Note
  Must be freed via av_free()

## av_vkfmt_from_pixfmt()

const VkFormat * av_vkfmt_from_pixfmt | ( | enum AVPixelFormat | p | ) |

Returns the optimal per-plane Vulkan format for a given sw_format, one for each plane.

Returns NULL on unsupported formats.